[mythtv-users] Schedules Direct and multiple zap2it accounts

Michael T. Dean mtdean at thirdcontact.com
Sun Aug 26 22:35:46 UTC 2007

On 08/26/2007 06:13 PM, Charles H. Chapman wrote:
> glen martin <lists at locutory.org> wrote:
>> Has anyone figured this out yet?  My particular flavour of this
>> problem is 2 Zap2It accounts, one for my HD OTA and the other for
>> DirecTV broadcasts.
> You didn't have to have multiple Zap2It accounts for that -- you only
> needed one Zap2It account with multiple lineups.

With Z2L (and versions of MythTV before 0.20.2, multiple Z2L accounts
were required when users had multiple inputs using different video
sources (i.e. groups of channels) from the same provider and couldn't
choose a neighboring ZIP code for the lineup (i.e. cable with all
channels available for the STB's output to an analog capture card, only
analog cable channels available for analog capture cards using internal
tuners, only unencrypted digital cable channels available for digital
capture cards using internal tuners, or only unencrypted channels output
via firewire from an STB).  Myth required each video source to use a
unique lineup; therefore, some (small) percentage of users were required
to have multiple Z2L accounts.

> I have exactly the
> same setup as you -- HD OTA and DirecTV -- which was handled with
> one Zap2It account with two lineups.

That works because you're choosing two different providers.

> Schedules Direct has the same
> capability -- you can define up to four lineups (I believe) with one
> account.

Right, and if the providers are different (i.e. OTA, DirectTV, DISH,
Cable Company are all different providers), this is /definitely/ what
you should do.  However, for users who actually need multiple video
sources from the same provider (as in the cable TV examples above), Myth
now supports the use of a single lineup with multiple video sources
through client-side filtering.  See
http://www.gossamer-threads.com/lists/mythtv/users/285225#285225 .  Note
that --remove-new-channels is no longer required with 0.20.2 and above.


More information about the mythtv-users mailing list